package com.gh.gamecenter.feature.utils

import com.therouter.TheRouter
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.ISentryProvider

object SentryHelper {

    /**
     * 注意 tag-key 不支持中文
     */
    fun onEvent(eventId: String, vararg kv: String?) {
        val sentryProvider = TheRouter.get(ISentryProvider::class.java)
        sentryProvider?.onEvent(eventId, *kv)
    }

    /**
     * 上面的日志只会上传到 gh-206 渠道
     * 这个方法会在全渠道上传
     */
    fun onEventInAllChannel(eventId: String, vararg kv: String?) {
        val sentryProvider = TheRouter.get(ISentryProvider::class.java)
        sentryProvider?.onEventInAllChannel(eventId, *kv)
    }

}
